*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, Helvetica, sans-serif;
}

html{
    scroll-behavior: smooth;
}

body{
    background:#ff0000;
    color:white;
}

nav{
    position:fixed;
    width:100%;
    top:0;
    background:#000000;
    padding:12px;
    display:flex;
    justify-content:center;
    gap:30px;
    z-index:1000;
}

nav a{
    color:white;
    text-decoration:none;
    font-weight:bold;
}

nav a:hover{
    color:#fa0800;
}

header{
    min-height:88vh;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    text-align:center;
    padding:20px;
}

.avatar{
    width:180px;
    height:180px;
    border-radius:50%;
    object-fit:cover;
    border:4px solid #000000;
}

h1{
    margin-top:20px;
    font-size:3rem;
}

header p{
    margin-top:15px;
    font-size:1.2rem;
    max-width:600px;
}

section{
    padding:80px 10%;
}

h2{
    margin-bottom:30px;
    color:#ffffff;
}

.cards{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
    gap:20px;
}

.card{
    background:#000000;
    border-radius:15px;
    overflow:hidden;
    transition:0.3s;
}

.card:hover{
    transform:translateY(-12px);
}

div.skill:hover{
    transform:translateY(9px);
}

/* AJUSTE PARA AS IMAGENS DE PROJETOS (Ratio de tela de computador - 16:9) */
.img-projeto {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    display: block;
}

/* AJUSTE PARA AS FOTOS DE ELETRÔNICA (Mostra a foto inteira tirada pelo iPhone) */
.img-eletronica {
    width: 100%;
    height: 300px;
    object-fit: contain; /* Garante que a imagem apareça inteira sem cortes */
    background-color: #111; /* Fundo escuro caso a proporção deixe margens */
    display: block;
}

.card-content{
    padding:20px;
}

.card h3{
    margin-bottom:10px;
}

.card a{
    display:inline-block;
    margin-top:15px;
    color:#ffffff;
    text-decoration:none;
}

.skills{
    display:grid;
    gap:15px;
}

.skill{
    background:#1e293b;
    padding:15px;
    border-radius:10px;
}

footer{
    text-align:center;
    padding:30px;
    background:#111827;
}

@media (max-width: 600px){
    nav{
        justify-content:flex-start;
        overflow-x:auto;
        gap:20px;
        padding:15px;
    }

    nav::-webkit-scrollbar{
        display:none;
    }

    nav a{
        white-space:nowrap;
        font-size:0.9rem;
    }

    h1{
        font-size:2rem;
    }

    header p{
        font-size:1rem;
    }

    section{
        padding:60px 5%;
    }

    .avatar{
        width:140px;
        height:140px;
    }

    .cards{
        grid-template-columns:1fr;
    }
}